#### Previous topic

scipy.io.FortranFile.read_ints

#### Next topic

scipy.io.FortranFile.read_record

# scipy.io.FortranFile.read_reals

`FortranFile.``read_reals`(dtype='f8')

  Reads a record of a given type from the file, defaulting to a floating point number (`real*8` in Fortran).

  Parameters:

  dtype : dtype, optional

  > Data type specifying the size and endiness of the data.

  Returns:

  data : ndarray

  > A one-dimensional array object.

  See also

  `read_ints`, `read_record`